:root{
    --theme-color-my: #1d1d1d; 
  }
  html, body{
    overflow-x: hidden;
  }
  ul{
    margin: 0;
    padding: 0;
  }
  .footer__menu-sticky {
    position: fixed;
    bottom: 0;
    width: 100%;
    z-index: 999;
    left: 0;
  }
  .footer__menu-sticky .row [class^="col-"]:not(:last-child) {
    border-right: 1px solid #e3e3e3;
  }
  .footer__menu {
    background-color: #fff;
    box-shadow: 1px 1px 20px rgba(0, 0, 0, 0.07);
  }
  .footer__menu-wrap .offcanvas.offcanvas-bottom {
    max-height: calc(95vh - 180px);
    background-color: #f9f9f9;
    height: auto;
  }
  .footer__menu-wrap .offcanvas-body {
    padding: 0 1rem;
  }
  .footer__menu-wrap .offcanvas-header {
    justify-content: flex-end;
    padding: 6px 10px;
  }
  .footer__off-close {
    border: none;
    background-color: transparent;
  }
  .footer__off-close svg path {
    fill: var(--theme-color-my);
  }
  .footer__office-box .title {
    display: flex;
    align-items: center;
    gap: 8px;
    justify-content: flex-start;
    flex-direction: column;
    flex: 0 0 auto;
    width: 100%;
    padding-right: 0;
  }
  .footer__office-box .title h5 {
    font-size: 11px;
    font-weight: 600;
    margin-bottom: 0;
  }
  .footer__office-box:nth-last-child(-n + 6) .title h5 {
    min-height: 40px;
  }
  .footer__office-box .title img {
    width: 100%;
    object-fit: contain;
    height: 60px;
    filter: brightness(0) saturate(100%) invert(100%) sepia(0%) saturate(7470%) hue-rotate(116deg) brightness(109%) contrast(109%);
    
  }
  .footer__office-box .title .icon {
    background-color: var(--theme-color-my);
    display: inline-flex;
    width: 100%;
    height: 80px;
    justify-content: center;
    align-items: center;
  }
  .footer__office-box {
    flex: 0 0 auto;
    width: 31%;
    padding: 10px;
    border: 1px solid #f4f4f4;
    border-radius: 5px;
    box-shadow: 1px 1px 30px rgba(0, 0, 0, 0.04);
    background-color: #fff;
    display: flex;
    align-items: center;
  }
  .footer__office-box .footer__contact-list {
    display: none;
  }
  .footer__office-box:has(.footer__contact-list) {
    width: 100%;
  }
  .footer__office-box:has(.footer__contact-list) .title {
    width: 30%;
    padding-right: 12px;
  }
  .footer__office-box:has(.footer__contact-list) .title .icon {
    height: 80px;
  }
  .footer__contact-list {
    list-style-type: none;
    padding-left: 0;
    display: flex;
    flex-direction: column;
    gap: 6px;
    margin-top: 12px;
  }
  .footer__contact-list li {
    font-size: 12px;
    color: #424242;
    position: relative;
    padding-left: 15px;
  }
  .footer__contact-list li a {
    color: inherit;
  }
  .footer__contact-list li span {
    position: absolute;
    left: 0;
    font-size: 11px;
    top: 1px;
  }
  .footer__contact-list li a:hover {
    color: #ca0404;
    text-decoration: underline;
  }
  .footer__office-wrap {
    display: flex;
    flex-wrap: wrap;
    gap: 10px 10px;
    justify-content: space-between;
  }
  .footer__menu-box {
    position: relative;
  }
  .footer__menu-box .navbar-toggler {
    color: #000;
    font-size: 12px;
    font-weight: 600;
    display: flex;
    flex-direction: column;
    gap: 7px;
    justify-content: space-between;
    align-items: center;
    padding: 10px 0;
    margin: 0 auto;
  }
  .footer__menu-box .navbar-toggler img {
    width: 30px;
    height: 30px;
    object-fit: contain;
    filter: brightness(0) saturate(100%) invert(7%) sepia(22%) saturate(13%) hue-rotate(52deg) brightness(106%) contrast(91%);
  }
  .footer__menu-qc ul li {
    flex: 0 0 auto;
    width: 30%;
    list-style-type: none;
  }
  .footer__menu-qc ul li a {
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    text-decoration: none;
  }
  .footer__menu-qc .qc-right .icon {
    display: inline-flex;
    border-radius: 50%;
    position: relative;
    right: 0;
    width: 75px;
    height: 75px;
    top: 0;
    padding: 16px;
    aspect-ratio: 1;
  }
  .footer__menu-qc .qc-right .icon img{
    width: 46px;
    height: 45px;
    object-fit: contain;
  }
  .footer__menu-qc .qc-right h5 {
    font-size: 12px;
    text-transform: capitalize;
    font-weight: 700;
    margin-bottom: 0;
    text-align: center;
    color: #353535;
  }
  .footer__menu-qc .qc-right {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 12px;
    position: relative;
    flex-direction: column;
  }
  .footer__menu-qc .qc-right h6 {
    font-size: 16px;
    margin-bottom: 0;
    display: none;
  }
  .footer__menu-qc ul {
    display: flex;
    flex-wrap: wrap;
    gap: 16px 10px;
    justify-content: center;
    padding: 0;
  }
  .footer__menu-qc {
    margin-bottom: 25px;
  }
  .footer__menu-modal .form-group .form-control {
    background-color: var(--clr-white);
    border-radius: 6px;
    padding: 7px 15px;
    height: 36px;
    color: #000 !important;
    font-family: var(--ff-paragraph);
    font-size: 14px;
    transition: all 0.5s;
  }
  .footer__menu-modal .form-group .form-control::placeholder {
    color: #000;
    opacity: 1;
  }
  .footer__menu-modal .form-group .form-control:focus,
  .footer__menu-modal .form-group .form-control:active,
  .footer__menu-modal .form-group .form-control:focus-visible,
  .footer__menu-modal .form-group .form-control :focus-within {
    border-color: #ff1414;
    box-shadow: none;
    outline: none;
  }
  .footer__menu-modal .wpcf7-response-output {
    border: none !important;
    color: red;
    padding: 0 !important;
    background: 0 0;
    margin: 15px 0 0 !important;
  }
  .footer__menu-modal .wpcf7-not-valid-tip {
    margin-top: 5px;
  }
  .footer__menu-modal .form-group {
    margin-bottom: 16px;
  }
  .footer__menu-modal textarea.form-control {
    height: 80px !important;
    resize: none;
  }
  .footer__menu-modal .custom-button,
  .footer__menu-form .custom-button {
    display: inline-flex;
    background-color: var(--theme-color-my);
    border: 1px solid transparent;
    padding: 6px 25px;
    color: #fff;
    font-weight: 600;
    border-radius: 0;
    text-transform: capitalize;
    transition: all 0.5s;
  }
  .footer__menu-modal .custom-button:hover,
  .footer__menu-form .custom-button:hover {
    color: var(--theme-color-my) !important;
    background-color: transparent !important;
    border-color: var(--theme-color-my) !important;
  }
  .footer__menu-modal .modal-header h3 {
    margin-bottom: 0 !important;
    font-size: 20px;
    color: #000;
    font-weight: 600;
  }
  .footer__menu-modal .modal-header {
    padding: 5px 6px;
  }
  .footer__menu-modal .modal-header .btn-close {
    background-color: #ff1414 !important;
    opacity: 1;
    width: 30px;
    height: 30px;
    padding: 0;
    border-radius: 50%;
    font-size: 11px;
    margin: 0;
  }
  iframe[title="Messaging window"] {
    height: 70% !important;
    bottom: 0 !important;
    top: unset !important;
  }
  .footer__factory-wrap .accordion-button {
    padding: 10px;
    background: 0 0 !important;
    box-shadow: none !important;
    border-bottom: none !important;
  }
  .footer__factory-wrap .accordion-button::after {
    --bs-accordion-btn-icon-width: 14px;
  }
  .footer__factory-wrap .accordion-body {
    padding: 15px 10px;
    border-top: 1px solid #e6e6e6;
  }
  .footer__factory-wrap .accordion-item {
    box-shadow: 1px 1px 30px rgba(0, 0, 0, 0.04) !important;
    margin-bottom: 12px;
    border-bottom: 0;
    border-radius: 5px !important;
  }
  .footer__factory-title {
    font-size: 14px;
    margin-bottom: 0;
    display: flex;
    align-items: center;
    font-weight: 600;
    gap: 12px;
  }
  .footer__factory-title img {
    height: 30px;
    width: 30px;
    object-fit: cover;
    border-radius: 50%;
  }
  .footer__factory-content ul {
    padding-left: 0;
    display: flex;
    flex-direction: column;
    gap: 12px;
  }
  .footer__factory-content ul li {
    display: flex;
    flex-direction: column;
    gap: 6px;
  }
  .footer__factory-content ul li h5 {
    display: flex;
    align-items: center;
    justify-content: space-between;
    font-size: 14px;
    font-weight: 600;
    margin-bottom: 0;
  }
  .footer__factory-content ul .progress {
    --bs-progress-bar-bg: #24c60d;
    --bs-progress-height: 3px;
  }
  #footerMenuContactModal {
    z-index: 9999999;
  }
  #myLauncher::before {
    position: absolute;
    content: "";
    width: 10px;
    height: 10px;
    background-color: #40655e;
    border-radius: 50%;
    top: 7px;
    right: 6px;
  }
  .footer__menu-qc ul li:nth-child(1) .icon {
    background-color: #7ab943;
  }
  .footer__menu-qc ul li:nth-child(2) .icon {
    background-color: #41b9f1;
  }
  .footer__menu-qc ul li:nth-child(3) .icon {
    background-color: #fe9191;
  }
  .footer__menu-qc ul li:nth-child(4) .icon {
    background-color: #ff960f;
  }
  .footer__menu-qc ul li:nth-child(5) .icon {
    background-color: #a860ff;
  }
  .desk_top_chatbot {
    position: fixed;
    z-index: 99;
    bottom: 25px;
    left: 25px;
    width: 75px;
    height: 75px;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #1f73b7;
    border-radius: 100%;
    padding: 10px;
    color: #000;
    box-shadow: 0 3px 6px rgb(0 0 0/25%);
    display: none;
  }
  .footer__factory-wrap .accordion-button.collapsed::after{    
    width: 20px;
    display: block;
    height: 20px;
    position: absolute;
    top: 50%;
    right: 10px;
    transform: translateY(-50%) rotateZ(0);  
    border: none !important;
    outline: none !important;

}
.footer__factory-wrap .accordion-button::after {
    transform: translateY(-50%) rotateZ(180deg);
    width: 20px;
    position: absolute;
    right: 10px;
    top: 50%;
    border: none !important;
}
  .desk_top_chatbot span { 
    display: block;
    margin-top: 3px;
  }
  #chaty-widget-0.chaty-widget-0{
    display: none !important;
  }

/* 22-09-2025 Fixing */
.banner-part {
    margin-top: 130px;
}

.wpcf7 form.invalid .wpcf7-response-output, .wpcf7 form.unaccepted .wpcf7-response-output, .wpcf7 form.payment-required .wpcf7-response-output {
    font-weight: 600;
    width: 100% !important;
    color: #dc3232;
    border: none;
    font-size: 14px !important;
    text-align: center;
}

.textwidget p img,
.banner-part img
{
     width: 100%;
}

section.contacct-page input:not([type=submit]), section.contacct-page select, section.contacct-page textarea, section.contacct-page select {
    padding: 13px 15px;
}

.wp-pagenavi a, .wp-pagenavi span {
    width: 40px;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
	color: #111;
}

.wp-pagenavi {
    display: flex;
    justify-content: center;
	margin-top: 25px;
}

.wp-pagenavi a.last,
.wp-pagenavi a.first,
.wp-pagenavi span.pages {
    width: auto;
    padding: 0 15px;
    background: #111;
    color: #fff;
}

.wp-pagenavi span.current {
    background: #00ffff;
    color: #000;
}

section.blog-page .wrap p {
    display: -webkit-box;
    -webkit-line-clamp: 5;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

section.blog-page article h3 a {
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    padding: 0;
    padding-top: 15px;
    min-height: 59px;
}

section.blog-page article {
    margin-bottom: 25px !important;
	width: 23%;
    flex: 0 0 auto;
}

section.blog-page main {
    columns: 0;
    column-gap: 20px;
    display: flex;
    flex-wrap: wrap;
}



@media (max-width:1199px) {
    .custom__nav ul:not(.dropdown-menu) .nav-item>.nav-link {
        font-size: 10px !important;
    }

	
	section.blog-page article {
    width: 31.33%;
}

}

@media (max-width:991px) {
    .banner-part {
        margin-top: 140px;
    }

    .banner-part .banner_text h2 {
        font-size: 23px;
    }

    .banner-part .banner_text p {
        font-size: 15px;
    }

    .banner-part img {
        height: 300px;
        object-fit: cover;
    }
	
	   section.blog-page main {
    column-gap: 10px;
}

}

@media (max-width:767px) {
section.blog-page article {
    width: 49%;
}


}

@media (max-width:568px) {
    .banner-part img {
        height: auto;
    }
	.banner-part {
    margin-top: 134px;
}
	    section.blog-page article {
    width: 100%;
}
	
 .wp-pagenavi {
    flex-wrap: wrap;
}
.wp-pagenavi span.pages{
        width: 100%;
    flex: 0 0 auto;
}
	
}

/* 22-09-2025 Fixing */


  @media only screen and (min-width: 768px){
    .desk_top_chatbot{
      display: flex;
    } 
    #chaty-widget-0.chaty-widget-0{
      display: block !important;  
    }
  }
  @media only screen and (max-width: 479px){
    .footer__menu-qc .qc-right .icon{
      width: 65px;
      height: 65px; 
    }
    .footer__menu-qc .qc-right .icon img{
      width: 35px;
      height: 35px;
    }
  } 
  section.body-cont1 .item a .overlay{
    position: relative !important;
  }


  .js-dgwt-wcas-overlay-mobile.dgwt-wcas-overlay-mobile #dgwt-wcas-search-input-1{
    opacity: 1;
  }
  @media only screen and (max-width: 991px){
    .top-bar #dgwt-wcas-search-input-1{
      opacity: 0;
    }
  }
  .single-pro-page .container div.product div.images{
    margin: 0 auto;
  }

  @media only screen and (max-width: 767px){
    body .location-page-banner{
      height: auto !important;
      padding-bottom: 50px;
    }
    body .location_inner_content .breadcrumb{
      justify-content: center;
      gap: 6px;
    }
	  	  .pro-page .products  div.product{
		width: calc(100% / 2);
	  }
	  .pro-page .all-pro{
		  margin-top: 25px;
	  }
  }

  section.single-pro-page .single-pro-decp input[type=submit]{
    margin: 0 auto;
    display: block;
  }
  section.body-cont2 a,
  section.body-cont4 a{
    font-size: 16px;
  }
  
  section.body-cont1 .item a .overlay p {
    -webkit-transform: none;
    -ms-transform: none;
    transform: none;
    -webkit-line-clamp: 1;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    text-align: center;
  }
  section.body-cont1 .item a .overlay {

    background: #999;
    padding: 12px;
    -webkit-transform: none;
    -ms-transform: none;
    transform: none;
    top: initial;
    left: initial;
    border: 2px dashed #000000;
  }

  section.body-cont1 .item a .overlay:after {
    content: none;
  }
  section.body-cont1 .item{
    padding: 0 5px;
  }
  section.body-cont1 .item a img {
    height: 300px;
  }
  section.body-cont1 .item a{
    margin: 0 auto;
    width: 100%;
  }
  #block-5 .row{
    padding: 15px;
    flex-direction: column; 
  }
  #block-5 form .row  .col-md-6{
    width: 100%;
  }
  #block-5 form .row  .col-md-6 p{
    margin: 0;
    line-height: 0;
    margin-top: 5px;
  }
  #block-5 form .row  .col-md-6 p label{
    font-size: 15px;
    line-height: 23px;
    margin-bottom: 3px;
  }
	#block-5 form .row  .col-md-6 p input{
		margin-bottom: 0;
	} 
#block-5 h3,
#block-5 h3 ~ p{
	margin-bottom: 0;
}

  #block-5 form .row  .col-md-6 p select{
    width: 100%;
    background: transparent;
    border: 1px solid #ccc;
    margin-bottom: 15px;
    padding: 10px;
  }
  section.body-cont2.third_on.second-position:before{
    left: initial !important;
    
  }
  section.body-cont2.third_on.second-position{
    background-position: left center !important;
  }
  .content-half-cta h3{
    text-align: left !important;
  }
  @media only screen and (max-width: 575px) {
    .content-half-cta h3{
      text-align: center !important;
    }

  }

  .sec_block_kit .container,
  .sec_block_kit_odd .container{
    max-width: 100%;
    padding: 0;
  }
  .sec_block_kit .content-half-cta{
    max-width: 620px;
    margin-right: auto;
  }  
  .sec_block_kit_odd .content-half-cta{
    margin-left: auto;
    max-width: 620px;

  }
  .sec_block_kit .content_half_cta_pic img,
  .sec_block_kit_odd .content_half_cta_pic img{
    height: 100%;
    width: 100%;
    object-fit: cover;
  }
  .sec_block_kit .content_half_cta_pic ,
  .sec_block_kit_odd .content_half_cta_pic {
    max-height: 400px;
    height: 400px;
  }
  section.body-cont2.color-1:before,
  section.body-cont2.second-position:before{
    content: none !important;
  }
  body .sidebtn{
    z-index: 99999 !important;
  }
  #related-products li a .product_view{
    width: 40px;
    height: 40px;
  }
  #related-products li a{
    display: flex;
    gap: 10px;
    align-items: center;
    transition: all 0.5s;
  }
  #related-products li a:hover span{
    color: rgb(203 17 17/81%);
  }
  #related-products li a .product_view img{
    width: 100%;
    height: 100%;
    object-fit: cover;
  }
  @media only screen and (min-width: 1920px){
    .sec_block_kit .container,
    .sec_block_kit_odd .container{
      max-width: 1320px;
      padding: 0 12px;
    }
  }
  @media only screen and (max-width: 991px){
    .sec_block_kit .container,
    .sec_block_kit_odd .container{
      padding: 0 12px;
    }
  }
  @media only screen and (max-width: 767px){
    .sec_block_kit_odd .content_half_cta_pic{
      max-height: 340px;
      height: 340px;
      margin-top: 20px;
    }
    .sec_block_kit .content_half_cta_pic {
      max-height: 340px;
      height: 340px;
      margin-bottom: 20px;
    }
  }
  @media only screen and (max-width: 575px){
    .sec_block_kit .content_half_cta_pic ,
  .sec_block_kit_odd .content_half_cta_pic{
    display: none;    
  }
  .sec_block_kit,
  .sec_block_kit_odd{
    padding: 15px 0 25px 0 !important;
  }
  }

  @media only screen and (max-width: 575px){

    section.body-cont2 a, section.body-cont4 a{
      font-size: 14px;
    }
	  
  }
 @media only screen and (max-width: 479px){
	section.single-pro-page .related-pro img {
		width: 100%;
		max-height: 240px;
		object-fit: contain;
	}
}